package com.jasamedika.medifirst2000.entities;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;

import org.hibernate.annotations.DynamicUpdate;

import com.jasamedika.medifirst2000.base.BaseTransaction;
import com.jasamedika.medifirst2000.helper.Caption;

@Entity
@DynamicUpdate
@Table(name="BiologicalSudahDisterile_T")
public class BiologicalSudahDisterile extends BaseTransaction{
	@Column(name = "Tanggal", nullable = true)
	@Caption(value = "Tanggal")
	private Date tanggal;
	
	@Column(name = "SuhuPensterilan", length=10, nullable = true)
	@Caption(value = "SuhuPensterilan")
	private String suhuPensterilan;
	
	@Column(name = "SuhuIncubator", length=10, nullable = true)
	@Caption(value = "SuhuIncubator")
	private String SuhuIncubator;
	
	@Column(name = "Hasil", length=100, nullable = true)
	@Caption(value = "Hasil")
	private String hasil;
	
	@Column(name = "JamMasuk", length=100, nullable = true)
	@Caption(value = "JamMasuk")
	private String jamMasuk;
	
	@Column(name = "JamKeluar", length=100, nullable = true)
	@Caption(value = "JamKeluar")
	private String jamKeluar;
	
	@Column(name="Keterangan", length=50, nullable=true)
	private String keterangan;
	
	@ManyToOne
	@JoinColumn(name = "ObjectOperatorFk")
	@NotNull(message = "Operator tidak boleh kosong") 
	@Caption(value="Object Operator")
	private Pegawai operator;
	
	@Column(name = "ObjectOperatorFk", insertable = false, updatable = false, nullable = false)
	private Integer operatorId;
	
	@ManyToOne
	@JoinColumn(name="ObjectPencataanSuhuMesinFk")
	private PencatatanSuhuMesin pencatatanSuhuMesin;
	
	@Column(name="ObjectPencataanSuhuMesinFk", insertable=false, updatable=false, nullable=false)
	private String pencatatanSuhuMesinId;

	public Date getTanggal() {
		return tanggal;
	}

	public void setTanggal(Date tanggal) {
		this.tanggal = tanggal;
	}

	public String getSuhuPensterilan() {
		return suhuPensterilan;
	}

	public void setSuhuPensterilan(String suhuPensterilan) {
		this.suhuPensterilan = suhuPensterilan;
	}

	public String getSuhuIncubator() {
		return SuhuIncubator;
	}

	public void setSuhuIncubator(String suhuIncubator) {
		SuhuIncubator = suhuIncubator;
	}

	public String getHasil() {
		return hasil;
	}

	public void setHasil(String hasil) {
		this.hasil = hasil;
	}

	public String getJamMasuk() {
		return jamMasuk;
	}

	public void setJamMasuk(String jamMasuk) {
		this.jamMasuk = jamMasuk;
	}

	public String getJamKeluar() {
		return jamKeluar;
	}

	public void setJamKeluar(String jamKeluar) {
		this.jamKeluar = jamKeluar;
	}

	public String getKeterangan() {
		return keterangan;
	}

	public void setKeterangan(String keterangan) {
		this.keterangan = keterangan;
	}

	public Pegawai getOperator() {
		return operator;
	}

	public void setOperator(Pegawai operator) {
		this.operator = operator;
	}

	public Integer getOperatorId() {
		return operatorId;
	}

	public void setOperatorId(Integer operatorId) {
		this.operatorId = operatorId;
	}

	public PencatatanSuhuMesin getPencatatanSuhuMesin() {
		return pencatatanSuhuMesin;
	}

	public void setPencatatanSuhuMesin(PencatatanSuhuMesin pencatatanSuhuMesin) {
		this.pencatatanSuhuMesin = pencatatanSuhuMesin;
	}

	public String getPencatatanSuhuMesinId() {
		return pencatatanSuhuMesinId;
	}

	public void setPencatatanSuhuMesinId(String pencatatanSuhuMesinId) {
		this.pencatatanSuhuMesinId = pencatatanSuhuMesinId;
	}
	
	

}
